Package ghidra.app.cmd.module

# Class ModuleAlgorithmCmd

java.lang.Object
ghidra.framework.cmd.BackgroundCommand
ghidra.app.cmd.module.ModuleAlgorithmCmd

All Implemented Interfaces:
  `Command`

public class ModuleAlgorithmCmd extends BackgroundCommand
Command that applies the "module" algorithm to a specified Module or Fragment. Gets an iterator over the code blocks containing the selected folder or fragment. Creates a folder for each code block in the iterator. For each code block, gets an iterator over code blocks containing the code block. For each of these code blocks, create a fragment and move the code units to the fragment.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ModuleAlgorithmCmd(GroupPath path, String treeName, BlockModelService blockModelService, String partitioningModelName)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `applyTo(DomainObject obj, TaskMonitor monitor)`
  Method called when this command is to apply changes to the given domain object.
  `void`
  `setPluginTool(PluginTool tool)`

  ### Methods inherited from class ghidra.framework.cmd.BackgroundCommand

  `applyTo, canCancel, dispose, getName, getStatusMsg, hasProgress, isModal, setStatusMsg, taskCompleted, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ModuleAlgorithmCmd

    public ModuleAlgorithmCmd(GroupPath path, String treeName, BlockModelService blockModelService, String partitioningModelName)
    Constructor
    Parameters:
      `path` - path the source module or fragment where the algorithm will be applied
      `treeName` - name of the tree
      `blockModelService` - service that has the known block models
      `partitioningModelName` - name of the model to use

- ## Method Details

  - ### applyTo

    public boolean applyTo(DomainObject obj, TaskMonitor monitor)
    Description copied from class: `BackgroundCommand`
    Method called when this command is to apply changes to the given domain object. A monitor is provided to display status information about the command as it executes in the background.
    Specified by:
      `applyTo` in class `BackgroundCommand`
    Parameters:
      `obj` - domain object that will be affected by the command
      `monitor` - monitor to show progress of the command
    Returns:
      true if the command applied successfully
    See Also:
      - `BackgroundCommand.applyTo(ghidra.framework.model.DomainObject, ghidra.util.task.TaskMonitor)`

  - ### setPluginTool

    public void setPluginTool(PluginTool tool)